%global realname meck
%global upstream eproxus
# Techincally, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}
%global git_tag 2447206
%global patchnumber 0


Name:		erlang-%{realname}
Version:        0.7.2
Release:        5%{?dist}
Summary:        A mocking library for Erlang
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://eproxus.github.com/meck/
# wget --content-disposition https://github.com/eproxus/meck/tarball/0.7.2
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
# Backported from upstream - https://github.com/eproxus/meck/pull/95
Patch1:		erlang-meck-0001-Remove-parametrized-module-test.patch
# Based on upstream commiterlang-meck-0001-Build-with-R16B03.patch
Patch2:		erlang-meck-0001-Build-with-R16B03.patch
BuildRequires:  erlang-rebar
Requires:       erlang-compiler%{?_isa}
Requires:       erlang-erts%{?_isa}
Requires:       erlang-kernel%{?_isa}
Requires:       erlang-stdlib%{?_isa}
# Error:erlang(cover:compile_beam/2)
# Error:erlang(cover:get_term/1)
# Error:erlang(cover:write/2)
Requires:       erlang-tools%{?_isa}


%description
With meck you can easily mock modules in Erlang. Since meck is intended to be
used in testing, you can also perform some basic validations on the mocked
modules, such as making sure no function is called in a way it should not.


%prep
%setup -q -n %{upstream}-%{realname}-37715e6
%patch1 -p1 -b .no_param_mods
%patch2 -p1 -b .r16b03


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/meck-%{version}/ebin
install -m 644 ebin/meck.app %{buildroot}%{_libdir}/erlang/lib/meck-%{version}/ebin
install -m 644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/meck-%{version}/ebin


%check
rebar eunit -v


%files
%doc LICENSE README.md NOTICE
%dir %{_libdir}/erlang/lib/meck-%{version}
%dir %{_libdir}/erlang/lib/meck-%{version}/ebin
%{_libdir}/erlang/lib/meck-%{version}/ebin/meck.app
%{_libdir}/erlang/lib/meck-%{version}/ebin/*.beam


%changelog
* Mon Apr 28 2014 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.7.2-5
- Fix build

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 02 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.7.2-3
- Remove tests parametrized modules - they are no longer supported
- Drop support for EL5

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.7.2-1
- Ver. 0.7.2

* Wed Aug 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.7.1-4
- Fix for EL5

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.7.1-2
- Pick up all missing requires

* Mon Feb 13 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.7.1-1
- Rebase
- Review fixes (Peter Lemenkov, #705773)

* Wed May 18 2011 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.5-1
- Initial packaging
